Package tigase.osgi

## Class OSGiScriptEngine

- java.lang.Object
- - tigase.osgi.OSGiScriptEngine

- All Implemented Interfaces:
    `javax.script.ScriptEngine`

      public class OSGiScriptEngine
      extends java.lang.Object
      implements javax.script.ScriptEngine

- - ### Field Summary

    - ### Fields inherited from interface javax.script.ScriptEngine

      `ARGV, ENGINE, ENGINE_VERSION, FILENAME, LANGUAGE, LANGUAGE_VERSION, NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OSGiScriptEngine​(javax.script.ScriptEngine engine, OSGiScriptEngineFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.script.Bindings` | `createBindings()` |
    `java.lang.Object` | `eval​(java.io.Reader reader)` |
    `java.lang.Object` | `eval​(java.io.Reader reader, javax.script.Bindings n)` |
    `java.lang.Object` | `eval​(java.io.Reader reader, javax.script.ScriptContext context)` |
    `java.lang.Object` | `eval​(java.lang.String script)` |
    `java.lang.Object` | `eval​(java.lang.String script, javax.script.Bindings n)` |
    `java.lang.Object` | `eval​(java.lang.String script, javax.script.ScriptContext context)` |
    `java.lang.Object` | `get​(java.lang.String key)` |
    `javax.script.Bindings` | `getBindings​(int scope)` |
    `javax.script.ScriptContext` | `getContext()` |
    `javax.script.ScriptEngineFactory` | `getFactory()` |
    `void` | `put​(java.lang.String key, java.lang.Object value)` |
    `void` | `setBindings​(javax.script.Bindings bindings, int scope)` |
    `void` | `setContext​(javax.script.ScriptContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGiScriptEngine

          public OSGiScriptEngine​(javax.script.ScriptEngine engine,
                                  OSGiScriptEngineFactory factory)

  - ### Method Detail

    - #### createBindings

          public javax.script.Bindings createBindings()

      Specified by:
        `createBindings` in interface `javax.script.ScriptEngine`

    - #### eval

          public java.lang.Object eval​(java.io.Reader reader,
                                       javax.script.Bindings n)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in interface `javax.script.ScriptEngine`
      Throws:
        `javax.script.ScriptException`

    - #### eval

          public java.lang.Object eval​(java.io.Reader reader,
                                       javax.script.ScriptContext context)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in interface `javax.script.ScriptEngine`
      Throws:
        `javax.script.ScriptException`

    - #### eval

          public java.lang.Object eval​(java.io.Reader reader)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in interface `javax.script.ScriptEngine`
      Throws:
        `javax.script.ScriptException`

    - #### eval

          public java.lang.Object eval​(java.lang.String script,
                                       javax.script.Bindings n)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in interface `javax.script.ScriptEngine`
      Throws:
        `javax.script.ScriptException`

    - #### eval

          public java.lang.Object eval​(java.lang.String script,
                                       javax.script.ScriptContext context)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in interface `javax.script.ScriptEngine`
      Throws:
        `javax.script.ScriptException`

    - #### eval

          public java.lang.Object eval​(java.lang.String script)
                                throws javax.script.ScriptException

      Specified by:
        `eval` in interface `javax.script.ScriptEngine`
      Throws:
        `javax.script.ScriptException`

    - #### get

          public java.lang.Object get​(java.lang.String key)

      Specified by:
        `get` in interface `javax.script.ScriptEngine`

    - #### getBindings

          public javax.script.Bindings getBindings​(int scope)

      Specified by:
        `getBindings` in interface `javax.script.ScriptEngine`

    - #### getContext

          public javax.script.ScriptContext getContext()

      Specified by:
        `getContext` in interface `javax.script.ScriptEngine`

    - #### setContext

          public void setContext​(javax.script.ScriptContext context)

      Specified by:
        `setContext` in interface `javax.script.ScriptEngine`

    - #### getFactory

          public javax.script.ScriptEngineFactory getFactory()

      Specified by:
        `getFactory` in interface `javax.script.ScriptEngine`

    - #### put

          public void put​(java.lang.String key,
                          java.lang.Object value)

      Specified by:
        `put` in interface `javax.script.ScriptEngine`

    - #### setBindings

          public void setBindings​(javax.script.Bindings bindings,
                                  int scope)

      Specified by:
        `setBindings` in interface `javax.script.ScriptEngine`